BasicGraphUI.KeyHandler (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.plaf.basic.BasicGraphUI.KeyHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.plaf.basic
Class BasicGraphUI.KeyHandler

    java.lang.Object
      java.awt.event.KeyAdapter
          org.jgraph.plaf.basic.BasicGraphUI.KeyHandler

All Implemented Interfaces:
  EventListener, KeyListener, Serializable

Enclosing class:
  BasicGraphUI

public class BasicGraphUI.KeyHandler
extends KeyAdapter
implements Serializable

This is used to get mutliple key down events to appropriately generate events.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `isKeyDown` Set to true while keyPressed is active.
`protected Action` | `repeatKeyAction` Key code that is being generated for.

Constructor Summary
`BasicGraphUI.KeyHandler()`

Method Summary
`void` | `keyPressed(KeyEvent e)`
`void` | `keyReleased(KeyEvent e)`

Methods inherited from class java.awt.event.KeyAdapter
`keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repeatKeyAction

    protected Action repeatKeyAction

  Key code that is being generated for.

### isKeyDown

    protected boolean isKeyDown

  Set to true while keyPressed is active.

Constructor Detail

### BasicGraphUI.KeyHandler

    public BasicGraphUI.KeyHandler()

Method Detail

### keyPressed

    public void keyPressed(KeyEvent e)

  Specified by:
    `keyPressed` in interface `KeyListener`

### keyReleased

    public void keyReleased(KeyEvent e)

  Specified by:
    `keyReleased` in interface `KeyListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.